## org.eclipse.datatools.sqltools.core.dbitem
Class ProcedureDescriptor

    java.lang.Object
      org.eclipse.datatools.sqltools.core.dbitem.ProcedureDescriptor

public class ProcedureDescriptor
extends java.lang.Object

This class is the meta information of a a procedure.

Author:
  Yang Liu

Method Summary
`static ProcedureDescriptor` `getProcedureDescriptor(DatabaseIdentifier databaseIdentifier, java.sql.Connection connection, java.lang.String catalog, java.lang.String schema, java.lang.String procedure)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getProcedureDescriptor

    public static ProcedureDescriptor getProcedureDescriptor(DatabaseIdentifier databaseIdentifier,
                                                             java.sql.Connection connection,
                                                             java.lang.String catalog,
                                                             java.lang.String schema,
                                                             java.lang.String procedure)
                                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.